明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

楼主: sixth

[源码] 外部参照命令(全)加载、卸载、拆离、绑定[源码]

  [复制链接]
发表于 2013-9-29 12:21 | 显示全部楼层
强烈需求相对路径和绝对路径转换的功能
发表于 2013-9-29 18:36 | 显示全部楼层
帮楼主顶帖,请高手进来共同解决问题!
发表于 2013-9-30 00:05 | 显示全部楼层
给力!!!
 楼主| 发表于 2013-9-30 08:37 | 显示全部楼层
多谢张和平和黄儒明的评分,多谢大家的鼓励,你们的鼓励就是我的动力,呵呵,昨天费了半天时间(主要是自己水平有限),把参照命令搞全了,谢谢大家
发表于 2013-10-2 13:38 来自手机 | 显示全部楼层
感谢版主,非常有用!
发表于 2013-10-6 03:22 | 显示全部楼层
方便啊,这个。谢谢楼主分享。
发表于 2013-10-18 08:29 | 显示全部楼层
帮楼主顶下!希望高手加入!
发表于 2013-10-20 13:27 | 显示全部楼层
再帮楼主顶下,高手请进来!最近在学习使用外部参照,楼主的工具非常给力!高手们能再补充完善下楼主的其他两项功能,就圆满了
发表于 2014-1-24 13:56 | 显示全部楼层
sixth 发表于 2013-9-3 18:07
相对路径和绝对路径我没改过,不好意思哦~~~~~~~~~


添一个,绝对路径改相对路径
(Defun c:tt()
(vl-load-com)
(setq ssg (ssget "x" '((0 . "insert"))))
(setq xpath (getstring "Input xref path:"))
  (setq i 0)
  (repeat (sslength ssg)
(setq obj (vla-item (vla-get-blocks (vla-get-activedocument (vlax-get-acad-object))) (cdr (assoc 2 (entget (ssname ssg i))))))
(if (= (vla-get-isxref obj) :vlax-true) (vla-put-path obj (strcat xpath (vla-get-name obj) ".dwg")))
    (setq i (1+ i))
  )
(command "_xref" "r" "*")
(princ)
)
发表于 2014-2-13 23:41 | 显示全部楼层
adc 发表于 2014-1-24 13:56
添一个,绝对路径改相对路径
(Defun c:tt()
(vl-load-com)

试用了下这个程序,CAD不知为何出现截图所示的图案,感觉像是在下围棋一样,一个点一个点的往出蹦。

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-25 04:52 , Processed in 0.152368 second(s), 22 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表